Page MenuHomePhabricator

API indexpageids result includes _type in an array of pageids
Closed, ResolvedPublic

Description

https://test.wikipedia.org/w/api.php?action=query&titles=Main%20Page&indexpageids=

{
    "query": {
        "pageids": [
            "11791",
            "_type"
        ],
        "pages": {
            "11791": {
                "pageid": 11791,
                "ns": 0,
                "title": "Main Page"
            }
        }
    }
}

Event Timeline

jayvdb created this task.Apr 23 2015, 12:22 AM
jayvdb updated the task description. (Show Details)
jayvdb raised the priority of this task from to Unbreak Now!.
jayvdb added a project: MediaWiki-API.
jayvdb added a subscriber: jayvdb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 12:22 AM
jayvdb updated the task description. (Show Details)Apr 23 2015, 12:30 AM
jayvdb set Security to None.

Change 206112 had a related patch set uploaded (by Anomie):
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206112

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.

Change 206112 merged by jenkins-bot:
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206112

Change 206852 had a related patch set uploaded (by Legoktm):
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206852

Legoktm closed this task as Resolved.Apr 27 2015, 6:00 PM
Legoktm claimed this task.
Legoktm reassigned this task from Legoktm to Anomie.Apr 27 2015, 6:10 PM

Change 206852 merged by jenkins-bot:
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206852

This should be backported as it is going to break bots as evidenced by the pywikibot test breakage and probably client-side JS as well.

Change 206861 had a related patch set uploaded (by Anomie):
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206861

Change 206861 merged by jenkins-bot:
API: Remove metadata keys from indexpageids output

https://gerrit.wikimedia.org/r/206861

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 7 2017, 2:58 PM